class RouterPath {
  // 默认的路由
  static const SPLASH = '/';

  static const GUIDE = '/guide'; //指引页面

  //用户
  static const AUTH_LOGIN = '/auth/login'; //用户登录注册
  static const AUTH_SIGNUP = '/auth/signup'; //注册
  static const AUTH_RESET_PSD = '/auth/rest_psd'; //重置密码
  static const AUTH_SELECT_COUNTRY = '/auth/select/country'; //切换国家

  //首页
  static const MAIN = '/main';
  static const SETTINGS = '/settings';

  //工作-签到签出
  static const JOB_SIGN_IN_SIGN_OUT = '/job/sign_in_sign_out';

  //工作-列表
  static const JOB_LIST = '/job/list';
  static const JOB_LIST_DETAIL = '/job/list/detail'; //查看工作的详情
  static const JOB_APPLIED_STAFF_LIST = '/job/applied'; //指定工作中已申请的成员列表
  static const JOB_APPLIED_STAFF_EDIT = '/job/applied/edit'; //指定工作中已申请的指定员工的信息修改（签到签出等修改）
  static const JOB_APPLIED_STAFF_WORKFLOW = '/job/applied/workflow'; //指定工作中已申请的指定员工的信息与状态修改工作流
  static const JOB_APPLIED_STAFF_DETAIL = '/job/applied/staff/detail'; //工作中员工的详细信息
  static const JOB_APPLIED_STAFF_REVIEWS = '/job/applied/staff/reviews'; //工作中员工的被评价列表

  //用工请求
  static const JOB_LABOUR_REQUEST_LIST = '/labour/list'; //用工请求列表
  static const JOB_LABOUR_REQUEST_ADD = '/labour/add'; //用工请求添加
  static const JOB_LABOUR_REQUEST_Detail = '/labour/detail'; //用工请求详情
  static const JOB_LABOUR_REQUEST_WORKFLOW = '/labour/workflow'; //用工请求修改状态的工作流

  //其他模块和报表模块
  static const DEVICE_LIST = '/device/list'; //雇主绑定的设备列表

  //新加坡的用工请求
  static const JOB_TITLE_LIST_SG = '/job/title/list/sg'; //模板的工作标题列表
  static const JOB_TEMPLATE_LIST_SG = '/job/template/list/sg'; //模板列表
  static const JOB_TEMPLATE_ADD_SG = '/job/template/add/sg'; //模板添加
  static const LABOUR_REQUEST_SG = '/labour/request/sg'; //用工首页
  static const LABOUR_REQUEST_ADD_SG = '/labour/request/add/sg'; //用工请求添加

  //新加坡的工作列表
  static const JOB_LIST_SG = '/job/list/sg'; //工作列表（新加坡）
  static const JOB_LIST_EDIT = '/job/list/edit'; //工作列表编辑与详情（新加坡）
  static const JOB_LIST_APPLIED_SG = '/job/list/applied'; //工作列表已申请列表（新加坡）
  static const JOB_LIST_APPLIED_STAFF_LIST_SG = '/job/list/applied/staff/list'; //工作列表已申请列表添加员工列表（新加坡）
  static const JOB_LIST_APPLIED_STAFF_DETAIL_SG = '/job/list/applied/staff/detail'; //工作列表已申请列表员工详情（新加坡）


  //全局其他
  static const PREVIEW_IMAGE = '/preview/image'; //预览图片
  static const GLOBAL_WEB = '/global/web'; //全局公用的Web页面

  //Runalone
  static const RunaloneMain = '/runalone/main'; //独立运行的入口页面
}
